## EvNavigationAction EvNavigationAction |

## Synopsis

                        EvNavigationActionPrivate;
                        EvNavigationAction;
    void                ev_navigation_action_set_history    (EvNavigationAction *action,
                                                             EvHistory *history);

## Object Hierarchy

      GObject
       +----GtkAction
             +----EvNavigationAction

## Implemented Interfaces

EvNavigationAction implements GtkBuildable.

## Signals

      "activate-link"                                  : Run Last / Action

## Description

## Details

### EvNavigationActionPrivate

    typedef struct _EvNavigationActionPrivate EvNavigationActionPrivate;

### EvNavigationAction

    typedef struct _EvNavigationAction EvNavigationAction;

### ev_navigation_action_set_history ()

    void                ev_navigation_action_set_history    (EvNavigationAction *action,
                                                             EvHistory *history);

`action` : |
`history` : |

## Signal Details

### The "activate-link" signal

    void                user_function                      (EvNavigationAction *evnavigationaction,
                                                            GObject            *arg1,
                                                            gpointer            user_data)               : Run Last / Action

`evnavigationaction` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.